> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve benefit information

> Retrieve information regarding benefit limits. This is purely informational and is not required to run before computing payroll calculations.



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml post /v1/benefitInfo
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v1/benefitInfo:
    post:
      tags:
        - Benefits
      summary: Retrieve benefit information
      description: >-
        Retrieve information regarding benefit limits. This is purely
        informational and is not required to run before computing payroll
        calculations.
      operationId: benefitInfo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                BenefitInfoRequest:
                  $ref: '#/components/schemas/BenefitInfoRequest'
            example:
              BenefitInfoRequest:
                benefitType: BenefitFSADependentCare
                payDate: '2026-03-24'
          application/xml:
            schema:
              type: object
              properties:
                BenefitInfoRequest:
                  $ref: '#/components/schemas/BenefitInfoRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenefitInfoResponse'
              example:
                BenefitInfoResponse:
                  benefitInfo:
                    benefitAnnualWageLimit:
                      annualWageLimit: 0
                    benefitCatchUpAmt:
                      catchUpAmt: 0
                    benefitCombinedLimit:
                      marriedFilingSeparately: 2500
                      other: 5000
                    benefitLimitAmt:
                      marriedFilingSeparately: 2500
                      other: 5000
                    benefitType: BenefitFSADependentCare
                  errorStatus:
                    errorCode: 0
                    errorMessage: No error
                  transactionStamp:
                    calcDateTime: '2026-03-24T13:32:44Z'
                    failedTransactions: 0
                    schemaVersion: v1
                    steVersion: 2026-R1
                    totalTransactions: 1
                    transactionType: BenefitInfo
            application/xml:
              schema:
                $ref: '#/components/schemas/BenefitInfoResponse'
components:
  schemas:
    BenefitInfoRequest:
      type: object
      properties:
        benefitType:
          $ref: '#/components/schemas/benefitTypeValues'
        payDate:
          $ref: '#/components/schemas/date'
    BenefitInfoResponse:
      type: object
      properties:
        errorStatus:
          $ref: '#/components/schemas/errorType'
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
        benefitLimitAmt:
          type: array
          items:
            $ref: '#/components/schemas/KeyValuePairType'
        benefitCombinedLimit:
          type: array
          items:
            $ref: '#/components/schemas/KeyValuePairType'
        benefitCatchUpAmt:
          type: array
          items:
            $ref: '#/components/schemas/KeyValuePairType'
        benefitAnnualWageLimit:
          type: array
          items:
            $ref: '#/components/schemas/KeyValuePairType'
        benefitType:
          $ref: '#/components/schemas/benefitTypeValues'
    benefitTypeValues:
      type: string
      enum:
        - Benefit125
        - Benefit401K
        - Benefit403B
        - Benefit457
        - BenefitCustom
        - BenefitRoth401K
        - BenefitRoth403B
        - BenefitFSA
        - BenefitHSA
        - BenefitSimpleIRA
        - BenefitRoth457
        - BenefitFSADependentCare
        - BenefitSimpleIRANonelective
        - BenefitRothSimpleIRA
        - BenefitRothSimpleIRANonelective
        - BenefitStarter401K
        - BenefitRothStarter401K
        - BenefitEHTCashBenefit
        - BenefitHSFCashBenefitQuebec
        - BenefitEHTNonCashBenefit
        - BenefitHSFNonCashBenefitQuebec
        - BenefitEHTEarnings
        - BenefitHSFEarningsQuebec
        - BenefitEHTPayInLieu
        - BenefitDependentCustodialAccount
        - BenefitEducationalAssistance
        - BenefitEducationalAssistanceLoanRepayment
    date:
      type: string
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    KeyValuePairType:
      type: object
      properties:
        benefitKey:
          type: string
        benefitValue:
          type: number
    dateTime:
      type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````